Bug 58501 - "BOOT" configuration cuts of a network.
Summary: "BOOT" configuration cuts of a network.
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: alpha Linux
medium
medium
Target Milestone: ---
Assignee: Beth Uptagrafft
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-18 05:30 UTC by Michal Jaegermann
Modified: 2007-04-18 16:39 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-08 00:27:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2002-01-18 05:30:31 UTC
Description of Problem:

Even with such configuration for a boot kernel:

...
CONFIG_NETLINK=y
# CONFIG_RTNETLINK is not set
CONFIG_NETLINK_DEV=y
...

and after inserting a required network device support "manually"
an attempt to bring a network up with 'service network start'
fails with

Cannot send dump request: Connection refused

and not even a loopback device is configured. Configuring everything
"by hand", using 'ifconfig' and 'route' which luckily are still
available, works just fine (or you are not reading this :-).
Do current Red Hat network startup scripts require a presence
of RTNETLINK?  If yes then it should be available in "BOOT" kernel
as this is the only kernel which can be possible to boot after
something else in an installation was botched (like a bad partition
table, see    ).

BTW - an attempt to bring up networking with a kernel compiled with
supplied "BOOT" configuration resulted in the following messages:

Cannot open netlink socket.
Address family not supported by protocol.

Comment 1 Michal Jaegermann 2002-01-18 05:39:50 UTC
Oops. "Bad partition table" was supposed to be a reference to #58499
but I forgot to fill that in before hitting "Commit".

Comment 2 Alan Cox 2003-06-08 00:27:46 UTC
Our ip tools require netlink sockets, our boot kernel install stuff does not



Note You need to log in before you can comment on or make changes to this bug.